Simplified XF 1.1.0

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DispatcherThread Class Reference

The DispatcherThread calls the XFDispatcher execute() method in a separate thread. More...

Inheritance diagram for DispatcherThread:
Collaboration diagram for DispatcherThread:

## Public Member Functions
| DispatcherThread (interface::XFDispatcher *dispatcher)
| DispatcherThread constructor. More...

## Protected Member Functions
void | run () override
| Method executed by the new thread. More...

## Protected Attributes
interface::XFDispatcher * | dispatcher_
| Pointer to dispatcher used by the DispatcherThread.

## Detailed Description

The DispatcherThread calls the XFDispatcher execute() method in a separate thread.

## Constructor & Destructor Documentation

## ◆ DispatcherThread()

DispatcherThread::DispatcherThread | ( | interface::XFDispatcher * | dispatcher | ) |
| inline

DispatcherThread constructor.

Parameters

  dispatcher | Dispatcher to be executed by the thread.

## Member Function Documentation

## ◆ run()

void DispatcherThread::run | ( |  | ) |
| inline override protected

Method executed by the new thread.

For more information read the documentation of QThread.

The documentation for this class was generated from the following file:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/simplified/xf/port/idf-qt/xf.cpp